twitter4j

## Interface Status

All Superinterfaces:
  Comparable<Status>, EntitySupport, Serializable, TwitterResponse

    public interface Status
    extends Comparable<Status>, TwitterResponse, EntitySupport, Serializable

A data interface representing one single status of a user. (e.g. https://dev.twitter.com/rest/reference/get/statuses/show/%3Aid)

Author:
  Yusuke Yamamoto - yusuke at mac.com

### Field Summary

### Fields inherited from interface twitter4j.TwitterResponse

`NONE, READ, READ_WRITE, READ_WRITE_DIRECTMESSAGES`

### Method Summary

All Methods Instance Methods Abstract Methods
`long[]` `getContributors()` Returns an array of contributors, or null if no contributor is associated with this status.
`Date` `getCreatedAt()` Return the created_at
`long` `getCurrentUserRetweetId()` Returns the authenticating user's retweet's id of this tweet, or -1L when the tweet was created before this feature was enabled.
`int` `getDisplayTextRangeEnd()`
`int` `getDisplayTextRangeStart()`
`int` `getFavoriteCount()` Indicates approximately how many times this Tweet has been "favorited" by Twitter users.
`GeoLocation` `getGeoLocation()` Returns The location that this tweet refers to if available.
`long` `getId()` Returns the id of the status
`String` `getInReplyToScreenName()` Returns the in_reply_to_screen_name
`long` `getInReplyToStatusId()` Returns the in_reply_tostatus_id
`long` `getInReplyToUserId()` Returns the in_reply_user_id
`String` `getLang()` Returns the lang of the status text if available.
`Place` `getPlace()` Returns the place attached to this status
`Status` `getQuotedStatus()` Returns the Tweet object of the original Tweet that was quoted.
`long` `getQuotedStatusId()` Returns the Tweet ID of the quoted Tweet
`URLEntity` `getQuotedStatusPermalink()` Returns the URLEntity object that represents the permalink of the quoted Tweet.
`int` `getRetweetCount()` Returns the number of times this tweet has been retweeted, or -1 when the tweet was created before this feature was enabled.
`Status` `getRetweetedStatus()`
`Scopes` `getScopes()` Returns the targeting scopes applied to a status.
`String` `getSource()` Returns the source
`String` `getText()` Returns the text of the status
`User` `getUser()` Return the user associated with the status. This can be null if the instance is from User.getStatus().
`String[]` `getWithheldInCountries()` Returns the list of country codes where the tweet is withheld
`boolean` `isFavorited()` Test if the status is favorited
`boolean` `isPossiblySensitive()` Returns true if the status contains a link that is identified as sensitive.
`boolean` `isRetweet()`
`boolean` `isRetweeted()` Test if the status is retweeted
`boolean` `isRetweetedByMe()` Returns true if the authenticating user has retweeted this tweet, or false when the tweet was created before this feature was enabled.
`boolean` `isTruncated()` Test if the status is truncated

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface twitter4j.TwitterResponse

`getAccessLevel, getRateLimitStatus`

### Methods inherited from interface twitter4j.EntitySupport

`getHashtagEntities, getMediaEntities, getSymbolEntities, getURLEntities, getUserMentionEntities`

### Method Detail

#### getCreatedAt

    Date getCreatedAt()

Return the created_at

Returns:
  created_at
Since:
  Twitter4J 1.1.0

#### getId

    long getId()

Returns the id of the status

Returns:
  the id (e.g. 210462857140252672)

#### getText

    String getText()

Returns the text of the status

Returns:
  the text (e.g. Along with our new #Twitterbird, we've also updated our Display Guidelines: https://t.co/Ed4omjYs ^JC)

#### getDisplayTextRangeStart

    int getDisplayTextRangeStart()

#### getDisplayTextRangeEnd

    int getDisplayTextRangeEnd()

#### getSource

    String getSource()

Returns the source

Returns:
  the source (e.g. <a href="http://twitter.com" rel="nofollow">Twitter Web Client</a>)
Since:
  Twitter4J 1.0.4

#### isTruncated

    boolean isTruncated()

Test if the status is truncated

Returns:
  true if truncated
Since:
  Twitter4J 1.0.4

#### getInReplyToStatusId

    long getInReplyToStatusId()

Returns the in_reply_tostatus_id

Returns:
  the in_reply_tostatus_id
Since:
  Twitter4J 1.0.4

#### getInReplyToUserId

    long getInReplyToUserId()

Returns the in_reply_user_id

Returns:
  the in_reply_tostatus_id
Since:
  Twitter4J 1.0.4

#### getInReplyToScreenName

    String getInReplyToScreenName()

Returns the in_reply_to_screen_name

Returns:
  the in_in_reply_to_screen_name
Since:
  Twitter4J 2.0.4

#### getGeoLocation

    GeoLocation getGeoLocation()

Returns The location that this tweet refers to if available.

Returns:
  returns The location that this tweet refers to if available (can be null)
Since:
  Twitter4J 2.1.0

#### getPlace

    Place getPlace()

Returns the place attached to this status

Returns:
  The place attached to this status
Since:
  Twitter4J 2.1.1

#### isFavorited

    boolean isFavorited()

Test if the status is favorited

Returns:
  true if favorited
Since:
  Twitter4J 1.0.4

#### isRetweeted

    boolean isRetweeted()

Test if the status is retweeted

Returns:
  true if retweeted
Since:
  Twitter4J 3.0.4

#### getFavoriteCount

    int getFavoriteCount()

Indicates approximately how many times this Tweet has been "favorited" by Twitter users.

Returns:
  the favorite count
Since:
  Twitter4J 3.0.4

#### getUser

    User getUser()

Return the user associated with the status.
This can be null if the instance is from User.getStatus().

Returns:
  the user

#### isRetweet

    boolean isRetweet()

Returns:
  if the status is retweet or not
Since:
  Twitter4J 2.0.10

#### getRetweetedStatus

    Status getRetweetedStatus()

Returns:
  retweeted status
Since:
  Twitter4J 2.1.0

#### getContributors

    long[] getContributors()

Returns an array of contributors, or null if no contributor is associated with this status.

Returns:
  contributors
Since:
  Twitter4J 2.2.3

#### getRetweetCount

    int getRetweetCount()

Returns the number of times this tweet has been retweeted, or -1 when the tweet was created before this feature was enabled.

Returns:
  the retweet count.

#### isRetweetedByMe

    boolean isRetweetedByMe()

Returns true if the authenticating user has retweeted this tweet, or false when the tweet was created before this feature was enabled.

Returns:
  whether the authenticating user has retweeted this tweet.
Since:
  Twitter4J 2.1.4

#### getCurrentUserRetweetId

    long getCurrentUserRetweetId()

Returns the authenticating user's retweet's id of this tweet, or -1L when the tweet was created before this feature was enabled.

Returns:
  the authenticating user's retweet's id of this tweet
Since:
  Twitter4J 3.0.1

#### isPossiblySensitive

    boolean isPossiblySensitive()

Returns true if the status contains a link that is identified as sensitive.

Returns:
  whether the status contains sensitive links
Since:
  Twitter4J 3.0.0

#### getLang

    String getLang()

Returns the lang of the status text if available.

Returns:
  two-letter iso language code (e.g. en)
Since:
  Twitter4J 3.0.6

#### getScopes

    Scopes getScopes()

Returns the targeting scopes applied to a status.

Returns:
  the targeting scopes applied to a status.
Since:
  Twitter4J 3.0.6

#### getWithheldInCountries

    String[] getWithheldInCountries()

Returns the list of country codes where the tweet is withheld

Returns:
  list of country codes where the tweet is withheld - null if not withheld
Since:
  Twitter4j 4.0.3

#### getQuotedStatusId

    long getQuotedStatusId()

Returns the Tweet ID of the quoted Tweet

Returns:
  the Tweet ID of the quoted Tweet
Since:
  Twitter4J 4.0.4

#### getQuotedStatus

    Status getQuotedStatus()

Returns the Tweet object of the original Tweet that was quoted.

Returns:
  the quoted Tweet object
Since:
  Twitter4J 4.0.4

#### getQuotedStatusPermalink

    URLEntity getQuotedStatusPermalink()

Returns the URLEntity object that represents the permalink of the quoted Tweet. Note that "text" and an indices of "start", "end" are not provided.

Returns:
  the URLEntity object that represents the permalink of the quoted Tweet. - null if not presents
Since:
  Twitter4J 4.0.7